//JOBNAME  JOB (0),'COMPILE SHREDDER',CLASS=A,MSGCLASS=H,
//      TIME=1,MSGLEVEL=(1,1),NOTIFY=&SYSUID,REGION=1024M
//*********************************************************
//* COMPILE AND LINK THE SHREDDER EXAMPLE
//**
//** Licensed Materials - Property of IBM and/or HCL
//** (c) Copyright IBM Corporation 2005, 2019. All Rights Reserved.
//** (c) Copyright HCL Technologies Ltd. 2017,2019. All Rights Reserved.
//**
//** Note to U.S. Government Users Restricted Rights:
//** Use, duplication or disclosure restricted by GSA ADP Schedule
//** Contract with IBM Corp.
//**
//**
//*********************************************************
//* THE PROCLIB FOR THE C/C++ COMPILER IF NEEDED
//  JCLLIB ORDER=CBC.SCCNPRC
//  SET UID=UID
//DOCHDL  EXEC CBCC,CPARM='OPTFILE(DD:CCPARM)',
//     INFILE='&UID.SHRED.CPP(XMLDHI)',
//     OUTFILE=&&SYSLIN
//* the CCPARM DD specifies the path to the XML Toolkit
//* header files provided by the XML Toolkit
//* will be referred to as <LIBPATH>, replace <LIBPATH>
//* with actual directory path of XML Toolkit
//* &UID.SHRED.HPP contains the example header files
//CCPARM DD *
  SOURCE,DLL,GONUM,GOFF,EXPO,CSECT,LANGLVL(EXTENDED),OPT(2),
  expmac,
  SEARCH(<LIBPATH>/include/,//'&UID.SHRED.HPP'),
  SEARCH('CEE.SCEEH.+')
/*
//COMPILE.SYSLIN DD DSN=&&LOADSET,DISP=(NEW,PASS),
//     UNIT=SYSDA,SPACE=(CYL,(1,1)),
//     RECFM=FB,LRECL=80   SYSTEM DETERMINED BLKSIZE
//*
//* NOW COMPILE THE SHREDDER MAIN PROGRAM
//*
//SHRED   EXEC CBCCB,CPARM='OPTFILE(DD:CCPARM)',
//     INFILE='&UID.SHRED.CPP(SHREDDER)',
//     OUTFILE='&UID.SHREDDER.LOAD(SHREDDER)'
//CCPARM DD *
  SOURCE,DLL,GONUM,GOFF,CSECT,LANGLVL(EXTENDED),OPT(2),
  SEARCH(<LIBPATH>/include/,//'&UID.SHRED.HPP'),
  SEARCH('CEE.SCEEH.+')
/*
//BIND.SYSLMOD DD DSN=&UID.SHREDDER.LOAD(SHREDDER),
//       DISP=SHR
//BIND.SYSLIN DD
//           DD DSN=PP.XML.ZOS180.SIXMEXP(IXM4C54X),DISP=SHR
//           DD DSN=PP.XML.ZOS180.SIXMEXP(IXMDD5XX),DISP=SHR
