/* 
 * Licensed Materials - Property of IBM and/or HCL 
 * (c) Copyright IBM Corporation 2005, 2019. All Rights Reserved. 
 * (c) Copyright HCL Technologies Ltd. 2017,2019. All Rights Reserved. 
 *  
 * Note to U.S. Government Users Restricted Rights: 
 * Use, duplication or disclosure restricted by GSA ADP Schedule 
 * Contract with IBM Corp.
 *
 */
#ifndef __shredder_HPP
#define __shredder_HPP

#include <stdio.h>
#include <cassert>

#ifdef WIN32
  #include <windows.h>
  #include <windowsx.h>
  #include <stdlib.h>
  #include <ctype.h>
  #include <tchar.h>
#else
	#ifdef AIX
		#include <stdint.h>
	#else
  	#include <inttypes.h>
  #endif
  #include <unistd.h>
  #include <stdlib.h>
  #include <ctype.h>
  #include <wchar.h>
#endif

#endif // __shredder_HPP
